function(errorDetected)
	message("${Red}\n")
	message("#########################################")
	message("#\t@@@@  @@@   @@@    @@   @@@   \t#")
	message("#\t@     @  @  @  @  @  @  @  @  \t#")
	message("#\t@@@   @@@   @@@   @  @  @@@   \t#")
	message("#\t@     @ @   @ @   @  @  @ @   \t#")
	message("#\t@@@@  @  @  @  @   @@   @  @  \t#")
	message("#########################################")
	message("#\tAN ERROR HAS OCCURED\t\t#")
	message("#########################################")
endfunction()

function(errorOut)
	message("#########################################\n\n")
endfunction()

function(errorHeaderDirNotFound)
	errorDetected()
	message(" |-->PROJECT HEADER DIRECTORY NOT FOUND")
	message("  |-> Given dir : ${DIR}")
	message("!!! Possible Reasons !!!")
	message(" |--> Did you give corect path in ${PROJECT_CONFIG_FILE} ??")
	message("  |-> The declarion should look like :") 
	message("   |-> list(APPEND PROJECT_HEADERS_DIR ${DIR})")
	message("    |-> you can also use the \$\{PROJECT_DIR\} variable")
	message("     |-> \$\{PROJECT_DIR\} = ${PROJECT_DIR}")
	message("      |-> list(APPEND PROJECT_HEADERS_DIR \$\{PROJECT_DIR\}/path_to_your_directory")
	errorOut()
	message(FATAL_ERROR "Header directory ${DIR} : NOT FOUND") 	
endfunction()

function(errorSourceDirNotFound)
	errorDetected()
	message(" |--> PROJECT SOURCE DIRECTORY NOT FOUND")
	message("  |-> Given dir : ${DIR}")
	message("!!! Possible Reasons !!!")
	message(" |--> Did you give corect path in ${PROJECT_CONFIG_FILE} ??")
	message("  |-> The declarion should look like :") 
	message("   |-> list(APPEND PROJECT_SOURCES_DIR ${DIR})")
	message("    |-> you can also use the \$\{PROJECT_DIR\} variable")
	message("     |-> \$\{PROJECT_DIR\} = ${PROJECT_DIR}")
	message("      |-> list(APPEND PROJECT_SOURCES_DIR \$\{PROJECT_DIR\}/path_to_your_directory")
	errorOut()
	message(FATAL_ERROR "Source directory ${DIR} : NOT FOUND") 	
endfunction()

