#ifndef _HWD_INTERRUPT_H_
#define _HWD_INTERRUPT_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "stm32f042x6.h"
#include <stdint.h>
 
/*! interrupt types. These act as indexes for the */
typedef enum {
	TIM2_UPDATE,
	TIM2_COUNTERCOMPARE_1,
	TIM2_COUNTERCOMPARE_2,
	TIM2_COUNTERCOMPARE_3,
	TIM2_COUNTERCOMPARE_4,
	TIM2_TRIGGER,
	TIM2_CAPTURECOMPARE_1,
	TIM2_CAPTURECOMPARE_2,
	TIM2_CAPTURECOMPARE_3,
  	TIM2_CAPTURECOMAPRE_4,
	intTypeEND
}intrType_t;

uint32_t intHandlerList[intTypeEND]={
0,0,0,0,0,0,0,0,0,0};

static const uint8_t interruptTypeIndexList[intTypeEND] =
{
	TIM2_IRQn,
	TIM2_IRQn,
	TIM2_IRQn,
	TIM2_IRQn,
	TIM2_IRQn,
	TIM2_IRQn,
	TIM2_IRQn,
	TIM2_IRQn,
	TIM2_IRQn,
	TIM2_IRQn	
};



#ifdef __cplusplus
}
#endif

#endif // _HWD_INTERRUPT_H_
